# PS Commands

Note: unless otherwise stated, replace any variable such as `$ComputerName` with the appropriate data.

### Fetch (some) Installed Programs

```powershell
Get-WmiObject win32_product -ComputerName $ComputerName | select Name, version
```

<br>

### Fetch AD Groups with $SearchTerm in them

```powershell
Get-ADGroup -Filter 'name -like "*$SearchTerm*"' | Sort-Object | select Name
```

<br>

### Fetch Boot Time

```powershell
Get-CimInstance -ClassName Win32_OperatingSystem -ComputerName $ComputerName | slect csname, lastbootuptime
```

<br>

### Fetch Computer Group Membership

```powershell
Get-ADPrincipalGroupMembership (Get-ADComputer $ComputerName) | select-object name
```

<br>

### Fetch User Group Membership

```powershell
Get-ADPrincipalGroupMembership (Get-ADUser $Username) | select-object name
```

<br>